Package commoble.morered.util

# Class ClassHelper

java.lang.Object
commoble.morered.util.ClassHelper

public class ClassHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClassHelper()`

## Method Summary

Modifier and Type
Method
Description
`static <T> Optional<T>`
`as(Object thing, Class<T> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassHelper

public ClassHelper()

## Method Details

### as

public static <T> Optional<T> as(Object thing, Class<T> clazz)